<div>
    <div class="mb-3">
        <h1 class="text-light">{{ title }}</h1>
        <a href="#/" class="btn btn-primary">Back</a>
    </div>

    <div class="col-md-12 border-5 rounded p-2" style="background-color: #eaf8fe">
        <form class="px-3 pt-2">
            <div class="mb-3">
                <label for="employeeUsername" class="form-label">Username</label>
                <input type="text" class="form-control" id="employeeUsername" ng-model="EmployeeInput.userName" required />
            </div>
            <div class="mb-3">
                <label for="employeeFirstName" class="form-label">First Name</label>
                <input type="text" class="form-control" id="employeeFirstName" ng-model="EmployeeInput.firstName" required />
            </div>
            <div class="mb-3">
                <label for="employeeLastName" class="form-label">Last Name</label>
                <input type="text" class="form-control" id="employeeLastName" ng-model="EmployeeInput.lastName" required />
            </div>
            <div class="mb-3">
                <label for="employeeEmail" class="form-label">Email address</label>
                <input type="email" class="form-control" id="employeeEmail" ng-model="EmployeeInput.email" required />
            </div>
            <div class="mb-3">
                <label for="employeeBirthDate" class="form-label">Birth Date</label>
                <input type="date" class="form-control" id="employeeBirthDate" ng-model="EmployeeInput.birthDate" required />
            </div>
            <div class="mb-3">
                <label for="employeeSalary" class="form-label">Basic Salary</label>
                <div class="input-group">
                    <span class="input-group-text" id="basic-addon1">Rp.</span>
                    <input type="text" class="form-control" id="employeeSalary" ng-model="EmployeeInput.basicSalary" ng-keyup="validateNumberInputSalary()" required />
                </div>
            </div>
            <div class="mb-3">
                <label for="employeeStatus" class="form-label">Status</label>
                <input type="text" class="form-control" id="employeeStatus" ng-model="EmployeeInput.status" required />
            </div>
            <div class="mb-3">
                <label for="employeeGroup" class="form-label">Group</label>
                <select class="form-select" id="employeeGroup" ng-model="EmployeeInput.group" required>
                    <option value="" selected>Select...</option>
                    <option value="Manager">Manager</option>
                    <option value="Director">Director</option>
                    <option value="Staff">Staff</option>
                    <option value="Management">Management</option>
                    <option value="Human Resource">Human Resource</option>
                    <option value="Technician">Technician</option>
                    <option value="Engineer">Engineer</option>
                    <option value="Building">Building</option>
                    <option value="Marketing">Marketing</option>
                    <option value="Sales">Sales</option>
                </select>
            </div>
            <div class="mb-3">
                <label for="employeeDescription" class="form-label">Description</label>
                <input type="date" class="form-control" id="employeeDescription" ng-model="EmployeeInput.description" required />
            </div>

            <div class="text-end mt-4">
                <button class="btn btn-danger" ng-click="cancel()">Cancel</button>
                <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </form>
    </div>
</div>
